Get Queue Browser Properties
get
/queueBrowsers/{browserName}
Return properties of the queue browser with the name
browserName.
Request
Path Parameters
-
browserName: string
The name of the queue browser.
Response
200 Response
Properties of the queue browser
In XML, the format for retrieving the properties of a queue browser is as follows:
<queueBrowser> <name>client-assigned name of the browser</name> <queue>path specifying the persistent or temporary queue browsed</queue> <selector>selector expression<selector> <canonicalLink>relative path to queue browser</canonicalLink> </queueBrowser>
The content of the <queue> element has the form /queue/queueNamequeueName; it has the form /temporaryQueue/queueNamequeueName.
404 Response
Error Codes
queueBrowserNotFound:The requested queue browser does not exist.
500 Response
Error Codes
operationFailed:A low-level exception occurred in attempting to obtain the queue browser's properties.
Examples
cURL Command
cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
-H "X-OC-ID-TOKEN-STATUS: disabled" \
-X GET "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/queueBrowsers/myFirstBrowser"
There is no request body to submit with the HTTP request.
Example of Response Body
In XML, the format for retrieving the properties of a queue browser is as follows:
<queueBrowser> <name>client-assigned name of the browser</name> <queue>path specifying the persistent or temporary queue browsed</queue> <selector>selector expression<selector> <canonicalLink>relative path to queue browser</canonicalLink> </queueBrowser>
The content of the <queue> element has the form
/queue/
queueName
queueName; it has the form
/temporaryQueue/
queueName
queueName.